Skip to main content
GET
/
model
/
List all candidate models under the given credential type
curl --request GET \
  --url https://api.example.com/model/
import requests

url = "https://api.example.com/model/"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/model/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "models": [
    {
      "name": "<string>",
      "label": "<string>",
      "context_size": 123,
      "output_size": 123,
      "parameter_schema": {},
      "parameters_overrides": {},
      "type": "chat_model",
      "deprecated_at": "2023-11-07T05:31:56Z",
      "input_types": [
        "text/plain"
      ],
      "output_types": [
        "text/plain"
      ]
    }
  ],
  "total": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Query Parameters

provider
string
required

Response

Successful Response

List the candidate models response.

models
ModelCard · object[]
required

The candidate models.

total
integer
required

The total number of candidates.